import { RsbuildConfig } from '@rsbuild/core';
import * as ts from 'typescript';
import { InlineStyleLanguage, FileReplacement } from '../models';
import { ComponentStylesheetBundler } from '@angular/build/src/tools/esbuild/angular/component-stylesheets';
export interface SetupCompilationOptions {
    root: string;
    tsConfig: string;
    aot: boolean;
    inlineStyleLanguage: InlineStyleLanguage;
    fileReplacements: Array<FileReplacement>;
    useTsProjectReferences?: boolean;
    hasServer?: boolean;
}
export declare const DEFAULT_NG_COMPILER_OPTIONS: ts.CompilerOptions;
export declare function setupCompilation(config: Pick<RsbuildConfig, 'mode' | 'source'>, options: SetupCompilationOptions): Promise<{
    rootNames: string[];
    compilerOptions: import("@angular/compiler-cli").AngularCompilerOptions;
    host: ts.CompilerHost;
    componentStylesheetBundler: ComponentStylesheetBundler;
}>;
export declare function styleTransform(componentStylesheetBundler: ComponentStylesheetBundler): (styles: string, containingFile: string, stylesheetFile?: string) => Promise<any>;
//# sourceMappingURL=setup-compilation.d.ts.map