import { JavaScriptTransformer } from '@angular/build/src/tools/esbuild/javascript-transformer';
import { ParallelCompilation } from '@angular/build/src/tools/angular/compilation/parallel-compilation';
export { ParallelCompilation, JavaScriptTransformer };
export * from './inline-style-language';
export * from './file-replacement';
export * from './style-preprocessor-options';
export declare enum DiagnosticModes {
    None = 0,
    Option = 1,
    Syntactic = 2,
    Semantic = 4,
    All = 7
}
export interface Location {
    file: string;
    namespace: string;
    line: number;
    column: number;
    length: number;
    lineText: string;
    suggestion: string;
}
export interface PartialNote {
    text?: string;
    location?: Partial<Location> | null;
}
export interface PartialMessage {
    id?: string;
    pluginName?: string;
    text?: string;
    location?: Partial<Location> | null;
    notes?: PartialNote[];
    detail?: never;
}
//# sourceMappingURL=index.d.ts.map